Subject: Failure to open LUKS devices from a Shepherd service
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Sun, 07 Apr 2024 23:30:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Commit 6f9d844d2ece7b369d17bbe678978462425f869c led to a regression:
when a ‘luks-device-mapping’ mapped device is opened from a Shepherd
service (for instance a ‘device-mapping-XXX’ service created by
‘device-mapping-service-type’ because, say, /home is a separate LUKS
partition), said service fails to start with:

  Unbound variable: bytevector?

This is the ‘bytevector?’ referred to in ‘open-luks-device’.

As a result, the system just hangs at boot time because that
‘device-mapping-XXX’ service fails to start.

Ludo’.